Bug 1022000 - [abrt] gnome-disk-utility-3.6.1-1.fc18: g_sequence_get_length: Process /usr/bin/gnome-disks was killed by signal 11 (SIGSEGV)
[abrt] gnome-disk-utility-3.6.1-1.fc18: g_sequence_get_length: Process /usr/b...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gnome-disk-utility (Show other bugs)
18
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Luis Bazan
Fedora Extras Quality Assurance
abrt_hash:4df6327713e974c5afe22d0bf86...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-22 09:10 EDT by Andreas Stenius
Modified: 2014-02-05 17:30 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-02-05 17:30:04 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (27.49 KB, text/plain)
2013-10-22 09:10 EDT, Andreas Stenius
no flags Details
File: cgroup (128 bytes, text/plain)
2013-10-22 09:10 EDT, Andreas Stenius
no flags Details
File: core_backtrace (19.46 KB, text/plain)
2013-10-22 09:10 EDT, Andreas Stenius
no flags Details
File: dso_list (9.09 KB, text/plain)
2013-10-22 09:10 EDT, Andreas Stenius
no flags Details
File: environ (3.45 KB, text/plain)
2013-10-22 09:11 EDT, Andreas Stenius
no flags Details
File: exploitable (82 bytes, text/plain)
2013-10-22 09:11 EDT, Andreas Stenius
no flags Details
File: limits (1.29 KB, text/plain)
2013-10-22 09:11 EDT, Andreas Stenius
no flags Details
File: maps (45.53 KB, text/plain)
2013-10-22 09:11 EDT, Andreas Stenius
no flags Details
File: open_fds (1.62 KB, text/plain)
2013-10-22 09:11 EDT, Andreas Stenius
no flags Details
File: proc_pid_status (954 bytes, text/plain)
2013-10-22 09:11 EDT, Andreas Stenius
no flags Details
File: smart_data (9 bytes, text/plain)
2013-10-22 09:11 EDT, Andreas Stenius
no flags Details
File: var_log_messages (324 bytes, text/plain)
2013-10-22 09:11 EDT, Andreas Stenius
no flags Details

  None (edit)
Description Andreas Stenius 2013-10-22 09:10:42 EDT
Description of problem:
I removed a old disk image for a disk while creating a new disk image of a partition of that disk.

Not sure if it is reproducible.

Version-Release number of selected component:
gnome-disk-utility-3.6.1-1.fc18

Additional info:
reporter:       libreport-2.1.7
backtrace_rating: 4
cmdline:        /usr/bin/gnome-disks
crash_function: g_sequence_get_length
executable:     /usr/bin/gnome-disks
kernel:         3.11.4-101.fc18.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 g_sequence_get_length at gsequence.c:1254
 #1 gtk_tree_model_filter_row_deleted at gtktreemodelfilter.c:2596
 #6 gtk_tree_model_row_deleted at gtktreemodel.c:1867
 #7 emit_row_deleted_for_row at gtkfilesystemmodel.c:331
 #8 remove_file at gtkfilesystemmodel.c:1912
 #9 gtk_file_system_model_monitor_change at gtkfilesystemmodel.c:1257
 #10 ffi_call_unix64 at ../src/x86/unix64.S:75
 #11 ffi_call at ../src/x86/ffi64.c:486
 #12 g_cclosure_marshal_generic_va at gclosure.c:1550
 #13 _g_closure_invoke_va at gclosure.c:840
Comment 1 Andreas Stenius 2013-10-22 09:10:46 EDT
Created attachment 814985 [details]
File: backtrace
Comment 2 Andreas Stenius 2013-10-22 09:10:49 EDT
Created attachment 814986 [details]
File: cgroup
Comment 3 Andreas Stenius 2013-10-22 09:10:54 EDT
Created attachment 814987 [details]
File: core_backtrace
Comment 4 Andreas Stenius 2013-10-22 09:10:57 EDT
Created attachment 814988 [details]
File: dso_list
Comment 5 Andreas Stenius 2013-10-22 09:11:01 EDT
Created attachment 814989 [details]
File: environ
Comment 6 Andreas Stenius 2013-10-22 09:11:04 EDT
Created attachment 814990 [details]
File: exploitable
Comment 7 Andreas Stenius 2013-10-22 09:11:11 EDT
Created attachment 814991 [details]
File: limits
Comment 8 Andreas Stenius 2013-10-22 09:11:15 EDT
Created attachment 814992 [details]
File: maps
Comment 9 Andreas Stenius 2013-10-22 09:11:19 EDT
Created attachment 814993 [details]
File: open_fds
Comment 10 Andreas Stenius 2013-10-22 09:11:23 EDT
Created attachment 814994 [details]
File: proc_pid_status
Comment 11 Andreas Stenius 2013-10-22 09:11:26 EDT
Created attachment 814995 [details]
File: smart_data
Comment 12 Andreas Stenius 2013-10-22 09:11:29 EDT
Created attachment 814996 [details]
File: var_log_messages
Comment 13 Fedora End Of Life 2013-12-21 09:42:18 EST
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 14 Fedora End Of Life 2014-02-05 17:30:04 EST
Fedora 18 changed to end-of-life (EOL) status on 2014-01-14. Fedora 18 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.